This is getting ridiculous...

Discussion in 'Installation & Upgrades' started by Eleanna, Apr 7, 2015.

  1. Eleanna

    Eleanna Member

    Once again we tried to upgrade www.cretefocus.com

    this is the result

    >>>>>

    Installation log has been also saved to uploads folder.

    Starting to process SQL queries...

    ERROR Query failed: ALTER TABLE `sbr323_blocks` CHANGE `multi_language` `multilingual` tinyint(1) unsigned NOT NULL; (Unknown column 'multi_language' in 'sbr323_blocks')

    ERROR Query failed: CREATE TABLE `sbr323_languages`(`id` mediumint(7) unsigned NOT NULL auto_increment,`code` char(2) NOT NULL,`title` varchar(100) NOT NULL,`locale` varchar(30) NOT NULL,`date_format` varchar(50) NOT NULL,`author` varchar(100) NOT NULL,`direction` varchar(5) NOT NULL default 'ltr',`master` tinyint(1) unsigned NOT NULL,`default` tinyint(1) unsigned NOT NULL,`order` int(11) NOT NULL,`status` enum('active','inactive') NOT NULL default 'active',`flagicon` tinytext NOT NULL,PRIMARY KEY (`id`),UNIQUE `CODE` (`code`)) ENGINE=MyISAM DEFAULT CHARSET=utf8; (Table 'sbr323_languages' already exists)

    ERROR Query failed: ALTER TABLE `sbr323_pages` ADD `custom_tpl` tinyint(1) NOT NULL after `filename`,ADD `template_filename` varchar(64) NOT NULL after `custom_tpl`; (Duplicate column name 'custom_tpl')

    ERROR Query failed: ALTER TABLE `sbr323_payment_transactions` ADD `notes` tinytext default NULL after `return_url`; (Duplicate column name 'notes')

    SUCCESS Query executed: UPDATE `sbr323_admin_actions` SET `url`='languages/add/' WHERE `name`='language_add'; (affected: 0)

    <<<<

    I suppose 4 out of 5 ain't bad... . The system tells us there is another upgrade waiting, but with this amount of errors, upgrading would simply compound the errors.
    We need this upgraded to 3.2.2 so that the upgraded template YPGo can be installed.
    what now?
  2. Andrew_G.

    Andrew_G. Staff Member

  3. Janur_J.

    Janur_J. Staff Member

    All highlighted errors mean that all requested columns/entries/instructions are already done.
    So, it would be no problem to go ahead.
  4. Eleanna

    Eleanna Member

    Thanks Andrew. So, this would then indicate to me that the problem is with last upgrade, which also went wrong and was reversed by installing the back-up. These changes would have been made then, and would not have been reversed when re-installing the back-up. Or am I totally off the ball here? We did notice that the system kept telling us, even after installing the back-up version again, that we were running on v 3.3...
  5. Eleanna

    Eleanna Member

    So, we upgraded to v3.3.2 and get the following errors:

    Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/focus1/public_html/install/classes/ia.patch.applier.php on line 314

    upload_2015-4-8_11-31-7.jpeg

    I assume the "deprecated" error has to do with the first error message labelled "error". Have no idea what the second means, nor if it's imported or not, nor what to do about it....
    I assume that as a coder who eats, sleeps, drinks and works this stuff every day you have no problem understanding and evaluating this. but an everyday user...?

Share This Page